Last Comment Bug 834492 - Drop livemarks support from FUEL
: Drop livemarks support from FUEL
Status: RESOLVED FIXED
: addon-compat, dev-doc-complete
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 21
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on:
Blocks: 834457
  Show dependency treegraph
 
Reported: 2013-01-24 15:45 PST by Marco Bonardo [::mak]
Modified: 2013-02-07 06:07 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (1.73 KB, patch)
2013-02-03 23:53 PST, Raymond Lee [:raymondlee]
mak77: review+
Details | Diff | Review
Patch for check-in (1.68 KB, patch)
2013-02-04 07:46 PST, Raymond Lee [:raymondlee]
no flags Details | Diff | Review

Description Marco Bonardo [::mak] 2013-01-24 15:45:31 PST
nsILivemarkService is being removed, and I suppose there's no interest in writing a wrapper for the new async API (and FUEL is not async afaik)
Comment 1 Raymond Lee [:raymondlee] 2013-02-03 23:53:13 PST
Created attachment 709614 [details] [diff] [review]
v1

I couldn't find any references using it so I have just removed the livemarks getter in the file.

Pushed to try and looks good.
Comment 2 Marco Bonardo [::mak] 2013-02-04 07:11:39 PST
Comment on attachment 709614 [details] [diff] [review]
v1

Review of attachment 709614 [details] [diff] [review]:
-----------------------------------------------------------------

yes, looks correct, I couldn't find any additional entry in mxr
Comment 3 Raymond Lee [:raymondlee] 2013-02-04 07:46:06 PST
Created attachment 709720 [details] [diff] [review]
Patch for check-in
Comment 4 Raymond Lee [:raymondlee] 2013-02-04 07:47:46 PST
Passed try
https://tbpl.mozilla.org/?tree=Try&rev=6963da39ac59
Comment 5 Ryan VanderMeulen [:RyanVM] 2013-02-04 11:51:21 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/df128dab6a05
Comment 6 Ryan VanderMeulen [:RyanVM] 2013-02-04 16:32:48 PST
https://hg.mozilla.org/mozilla-central/rev/df128dab6a05
Comment 7 Jean-Yves Perrier [:teoli] 2013-02-07 06:07:45 PST
As no documentation has been written for FUEL Application, I simply added a note in https://developer.mozilla.org/en-US/docs/Firefox_21_for_developers

Note You need to log in before you can comment on or make changes to this bug.